<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}

$activated = true;
$token = '798af5ec-37694bca-8b5944cd-3a583792';
$code = '798af5ec-37694bca-8b5944cd-3a583792';
$confirmation = __( 'Are you sure to deactivate current site?', 'consulting' ) . ' '
                . __( 'The theme will be deleted during the deactivation process.', 'consulting' );
?>

<div class="wrap stm-admin-wrap stm-admin-start-screen">

	<?php stm_get_admin_tabs(); ?>
	<?php include __DIR__ . '/theme_info.php' ?>

	<?php if ( ! $activated ) { ?>
        <div class="stm-admin-box stm-admin-not-activated">
            <div class="__header __text">
				<?php esc_html_e( 'This theme is not activated on this website', 'consulting' ); ?>
            </div>
            <div class="__activate_row">
                <a href="<?php echo esc_url( stm_theme_activation_url() ) ?>" class="stm-button">
                    <?php esc_html_e( 'Activate', 'consulting' ); ?>
                </a>
                <a href="<?php echo esc_url( STM_INSTRUCTIONS_URL ) ?>" target="_blank">
					<?php esc_html_e( 'How to activate the theme?', 'consulting' ); ?>
                </a>
            </div>
        </div>
        <div class="stm-admin-box">
            <div class="__header"><?php esc_html_e( 'Why do I need theme activation?', 'consulting' ) ?></div>
            <ul class="stm-admin-checklist">
                <li><?php esc_html_e( 'After theme activation, you will be able to choose a layout and import demo content', 'consulting' ) ?></li>
                <li><?php esc_html_e( 'Activation of the theme will create an account on the theme author\'s support platform where you can submit any support request related to the theme', 'consulting' ) ?></li>
            </ul>
        </div>
	<?php } else { ?>
        <div class="stm-admin-box stm-admin-activated">
            <div class="__header __text">
				<?php esc_html_e( 'The theme is activated on the website', 'consulting' ); ?>
                <i class="fa fa-check-circle"></i>
            </div>
            <div class="__code_row">
                <div class="__code">
                    <?php echo esc_html( $code ) ?>
                </div>
                <form method="post" onsubmit="return confirm('<?php echo esc_attr( $confirmation ); ?>')">
                    <input type="hidden" name="action" value="stm-deactivate" />
                    <button type="submit" class="__deactivate">
                        <?php esc_html_e( 'Deactivate & Delete Theme', 'consulting' ); ?>
                    </button>
                </form>
            </div>
        </div>
	<?php } ?>

</div>
