<?php

require_once CONSULTING_INC_PATH . '/tgm/tgm-plugin-activation.php';

add_action('tgmpa_register', 'consulting_require_plugins');

function consulting_require_plugins($return = false)
{
    $plugins = array(
        'envato-market' => array(
            'name' => 'Envato Market',
            'slug' => 'envato-market',
			'source' => 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
            'required' => true,
        ),
        'stm-importer' => array(
            'name' => 'STM Importer',
            'slug' => 'stm-importer',
			'source' => get_template_directory() . '/packages/stm-importer.zip',
            'required' => true,
            'version' => '5.8.1',
            'external_url' => 'https://stylemixthemes.com/'
        ),
        'stm-post-type' => array(
            'name' => 'STM Configurations',
            'slug' => 'stm-post-type',
			'source' => get_template_directory() . '/packages/stm-post-type.zip',
			'required' => true,
            'version' => '3.5',
            'external_url' => 'https://stylemixthemes.com/'
        ),
        'custom-elementor-icons' => array(
            'name' => 'Custom Elementor Icons',
            'slug' => 'custom-elementor-icons',
            'required' => true
        ),
        'revslider' => array(
	        'name' => 'Revolution Slider',
	        'slug' => 'revslider',
			'source' => get_template_directory() . '/packages/revslider.zip',
	        'required' => true,
	        'external_url' => 'http://www.themepunch.com/revolution/',
	        'version' => '6.4.6'
        ),
        'js_composer' => array(
            'name' => 'WPBakery Visual Composer',
            'slug' => 'js_composer',
			'source' => get_template_directory() . '/packages/js_composer.zip',
            'external_url' => 'http://vc.wpbakery.com',
            'version' => '6.6.0',
            'required' => false,
        ),
        'elementor' => array(
            'name' => 'Elementor',
            'slug' => 'elementor',
            'required' => false,
        ),
        'consulting-elementor-widgets' => array(
            'name' => 'Consulting Elementor',
            'slug' => 'consulting-elementor-widgets',
			'source' => get_template_directory() . '/packages/consulting-elementor-widgets.zip',
            'required' => false,
            'version' => '1.0.7'
        ),
        'pearl-header-builder' => array(
	        'name' => 'Pearl header builder',
	        'slug' => 'pearl-header-builder',
	        'required' => false,
        ),
        'stm-templates-library' => array(
            'name' => 'STM Templates Library',
            'slug' => 'stm-templates-library',
			'source' => get_template_directory() . '/packages/stm-templates-library.zip',
            'required' => false,
            'version' => '1.1'
        ),
        'bookit' => array(
            'name' => 'Booking Calendar',
            'slug' => 'bookit',
            'required' => false,
        ),
        'breadcrumb-navxt' => array(
            'name' => 'Breadcrumb NavXT',
            'slug' => 'breadcrumb-navxt',
            'required' => false
        ),
        'contact-form-7' => array(
            'name' => 'Contact Form 7',
            'slug' => 'contact-form-7',
            'required' => false
        ),
        'woocommerce' => array(
            'name' => 'WooCommerce',
            'slug' => 'woocommerce',
            'required' => false
        ),
        'mailchimp-for-wp' => array(
            'name' => 'MailChimp for WordPress Lite',
            'slug' => 'mailchimp-for-wp',
            'required' => false
        ),
        'instagram-feed' => array(
            'name' => 'Instagram Feed',
            'slug' => 'instagram-feed',
            'required' => false
        ),
        'recent-tweets-widget' => array(
            'name' => 'Recent Tweets Widget',
            'slug' => 'recent-tweets-widget',
            'required' => false
        ),
        'tinymce-advanced' => array(
            'name' => 'TinyMCE Advanced',
            'slug' => 'tinymce-advanced',
            'required' => false
        ),
        'add-to-any' => array(
            'name' => 'AddToAny Share Buttons',
            'slug' => 'add-to-any',
            'required' => false
        ),
        'amp' => array(
            'name' => 'AMP',
            'slug' => 'amp',
            'required' => false
        ),
        'cost-calculator-builder' => array(
            'name' => 'Cost Calculator Builder',
            'slug' => 'cost-calculator-builder',
            'required' => false
        ),
        'eroom-zoom-meetings-webinar' => array(
            'name' => 'Eroom Zoom Meetings Webinar',
            'slug' => 'eroom-zoom-meetings-webinar',
            'required' => false
        ),
        'stm-gdpr-compliance' => array(
            'name' => 'GDPR Compliance & Cookie Consent',
            'slug' => 'stm-gdpr-compliance',
			'source' => get_template_directory() . '/packages/stm-gdpr-compliance.zip',
            'required' => false,
            'version' => '1.5',
            'external_url' => 'https://stylemixthemes.com/'
        )
    );

    if ($return) {
        return $plugins;
    } else {
        $config = array(
            'id' => 'pearl_theme_id',
            'is_automatic' => false
        );


        $layout_plugins = consulting_layout_plugins(consulting_get_layout());
        $recommended_plugins = consulting_premium_bundled_plugins();
        $layout_plugins = array_merge($layout_plugins, $recommended_plugins);

        $tgm_layout_plugins = array();
        foreach ($layout_plugins as $layout_plugin) {
            $tgm_layout_plugins[$layout_plugin] = $plugins[$layout_plugin];
        }

        tgmpa($tgm_layout_plugins, $config);
    }

}
