<?php
/*
* Getting WordPress sidebars
*/
function consulting_wp_sidebars()
{
    $sidebars = array();

    foreach ( $GLOBALS[ 'wp_registered_sidebars' ] as $sidebar ) {
        $sidebars[ $sidebar[ 'id' ] ] = $sidebar[ 'name' ];
    }

    return $sidebars;
}

/*
* Getting custom sidebars
*/
function consulting_vc_sidebars()
{
    $sidebars = array();

    $query = get_posts( array( 'post_type' => 'stm_vc_sidebar', 'posts_per_page' => -1 ) );

    if( $query ) {
        foreach ( $query as $post ) {
            $sidebars[ $post->ID ] = get_the_title( $post->ID );
        }
    }

    return $sidebars;
}

/*
* Getting socials
*/
function consulting_socials()
{
    $socials = array(
        'facebook' => esc_html__( 'Facebook', 'consulting' ),
        'twitter' => esc_html__( 'Twitter', 'consulting' ),
        'instagram' => esc_html__( 'Instagram', 'consulting' ),
        'google-plus' => esc_html__( 'Google+', 'consulting' ),
        'vimeo' => esc_html__( 'Vimeo', 'consulting' ),
        'linkedin' => esc_html__( 'Linkedin', 'consulting' ),
        'behance' => esc_html__( 'Behance', 'consulting' ),
        'dribbble' => esc_html__( 'Dribbble', 'consulting' ),
        'flickr' => esc_html__( 'Flickr', 'consulting' ),
        'github' => esc_html__( 'Git', 'consulting' ),
        'pinterest' => esc_html__( 'Pinterest', 'consulting' ),
        'yahoo' => esc_html__( 'Yahoo', 'consulting' ),
        'delicious' => esc_html__( 'Delicious', 'consulting' ),
        'dropbox' => esc_html__( 'Dropbox', 'consulting' ),
        'reddit' => esc_html__( 'Reddit', 'consulting' ),
        'soundcloud' => esc_html__( 'Soundcloud', 'consulting' ),
        'google' => esc_html__( 'Google', 'consulting' ),
        'skype' => esc_html__( 'Skype', 'consulting' ),
        'youtube' => esc_html__( 'Youtube', 'consulting' ),
        'youtube-play' => esc_html__( 'Youtube Play', 'consulting' ),
        'tumblr' => esc_html__( 'Tumblr', 'consulting' ),
        'whatsapp' => esc_html__( 'Whatsapp', 'consulting' ),
        'odnoklassniki' => esc_html__( 'Odnoklassniki', 'consulting' ),
        'vk' => esc_html__( 'Vk', 'consulting' ),
        'xing' => esc_html__( 'Xing', 'consulting' )
    );

    return $socials;
}

/*
* Getting socials links
*/
function consulting_socials_links()
{
    $socials = consulting_socials();

    $socialsLink = array();

    foreach ( $socials as $key => $social ) {
        $socialsLink[] = array(
            'key' => $key,
            'label' => $social
        );
    }

    return $socialsLink;
}

/*
* Added custom icons to theme option
*/
add_filter( 'wpcfto_icons_set', 'consulting_wpcfto_custom_icons' );

function consulting_wpcfto_custom_icons( $icons )
{

    if( defined( 'CEI_VERSION' ) ) {
        $custom_fonts = get_option( 'stm_fonts' );

        $upload_dir = wp_upload_dir();
        $path       = $upload_dir['baseurl'];

        $fontawesome_json = json_decode(file_get_contents(get_template_directory_uri() . '/assets/fonts/fontawesome.json'));
        $fontawesome_icons = [];
        foreach ( $fontawesome_json as $key => $val ) {
            foreach ( $val as $k => $v ) {
                $fontawesome_icons[] = array(
                    'title' => $v,
                    'searchTerms' => array( $v )
                );
            }
        }

        $custom_fonts_json = [];
        foreach ( $custom_fonts as $fontName => $info ) {
            $custom_fonts_json = json_decode( file_get_contents( $path . '/stm_fonts/' . $fontName . '/charmap.json' ) );
        }

        $custom_fonts = [];
        foreach ( $custom_fonts_json as $key => $val ) {
            foreach ( $val as $k => $v ) {
                $custom_fonts[] = array(
                    'title' => $v,
                    'searchTerms' => array( $v )
                );
            }
        }

        $icons = array_merge($fontawesome_icons, $custom_fonts);
    }

    return $icons;
}