<?php
add_filter( 'consulting_theme_options', function( $setups ) {

    $customFields = array(
        'name' => esc_html__( 'Archive Pages', 'consulting' ),
        'icon' => 'fas fa-edit',
        'fields' => array(
            'blog_layout' => array(
                'type' => 'radio',
                'label' => esc_html__( 'Layout', 'consulting' ),
                'description' => esc_html__( 'Select the layout type', 'consulting' ),
                'options' => array(
                    'grid' => esc_html__( 'Grid View', 'consulting' ),
                    'list' => esc_html__( 'List View', 'consulting' )
                ),
                'value' => 'list',
                'submenu' => esc_html__( 'General', 'consulting' )
            ),
            'blog_sidebar_type' => array(
                'type' => 'radio',
                'label' => esc_html__( 'Sidebar Type', 'consulting' ),
                'group' => 'started',
                'options' => array(
                    'wp' => esc_html__( 'Wordpress Sidebars', 'consulting' ),
                    'vc' => esc_html__( 'VC Sidebars', 'consulting' )
                ),
                'value' => 'wp',
                'submenu' => esc_html__( 'General', 'consulting' )
            ),
            'blog_wp_sidebar' => array(
                'type' => 'select',
                'label' => esc_html__( 'Wordpress Sidebar', 'consulting' ),
                'options' => consulting_wp_sidebars(),
                'dependency' => array(
                    'key' => 'blog_sidebar_type',
                    'value' => 'wp'
                ),
                'submenu' => esc_html__( 'General', 'consulting' )
            ),
            'blog_vc_sidebar' => array(
                'type' => 'select',
                'label' => esc_html__( 'VC Sidebar', 'consulting' ),
                'options' => consulting_vc_sidebars(),
                'dependency' => array(
                    'key' => 'blog_sidebar_type',
                    'value' => 'vc'
                ),
                'submenu' => esc_html__( 'General', 'consulting' )
            ),
            'blog_sidebar_position' => array(
                'type' => 'radio',
                'label' => esc_html__( 'Sidebar - Position', 'consulting' ),
                'group' => 'ended',
                'options' => array(
                    'left' => esc_html__( 'Left', 'consulting' ),
                    'right' => esc_html__( 'Right', 'consulting' )
                ),
                'value' => 'right',
                'submenu' => esc_html__( 'General', 'consulting' )
            ),
            'header_information_notice' => array(
                'label' => esc_html__( 'Single Page Settings', 'consulting' ),
                'type' => 'notice',
                'group' => 'started',
                'submenu' => esc_html__( 'Events', 'consulting' ),
            ),
            'event_sidebar_type' => array(
                'type' => 'radio',
                'label' => esc_html__( 'Sidebar Type', 'consulting' ),
                'options' => array(
                    'wp' => esc_html__( 'Wordpress Sidebars', 'consulting' ),
                    'vc' => esc_html__( 'VC Sidebars', 'consulting' )
                ),
                'value' => 'wp',
                'submenu' => esc_html__( 'Events', 'consulting' )
            ),
            'event_wp_sidebar' => array(
                'type' => 'select',
                'label' => esc_html__( 'Wordpress Sidebar', 'consulting' ),
                'options' => consulting_wp_sidebars(),
                'dependency' => array(
                    'key' => 'event_sidebar_type',
                    'value' => 'wp'
                ),
                'submenu' => esc_html__( 'Events', 'consulting' )
            ),
            'event_vc_sidebar' => array(
                'type' => 'select',
                'label' => esc_html__( 'VC Sidebar', 'consulting' ),
                'options' => consulting_vc_sidebars(),
                'dependency' => array(
                    'key' => 'event_sidebar_type',
                    'value' => 'vc'
                ),
                'submenu' => esc_html__( 'Events', 'consulting' )
            ),
            'event_terms_conditions' => array(
                'label' => esc_html__( 'Terms and Conditions Page Link', 'consulting' ),
                'type' => 'text',
                'group' => 'ended',
                'value' => 'I agree with the all additional <a href=\'#\'>Terms and Conditions</a>',
                'submenu' => esc_html__( 'Events', 'consulting' )
            ),
            'top_bar_information_notice' => array(
                'type' => 'notice',
                'submenu' => esc_html__( 'Top Bar', 'consulting' ),
                'description' => esc_html__( 'These settings will be applied only with installed and activated WooCommerce plugin', 'consulting' ),
                'submenu' => esc_html__( 'Shop', 'consulting' )
            ),
            'shop_sidebar_type' => array(
                'type' => 'radio',
                'label' => esc_html__( 'Sidebar Type', 'consulting' ),
                'group' => 'started',
                'options' => array(
                    'wp' => esc_html__( 'Wordpress Sidebars', 'consulting' ),
                    'vc' => esc_html__( 'VC Sidebars', 'consulting' )
                ),
                'value' => 'wp',
                'submenu' => esc_html__( 'Shop', 'consulting' )
            ),
            'shop_wp_sidebar' => array(
                'type' => 'select',
                'label' => esc_html__( 'Wordpress Sidebar', 'consulting' ),
                'options' => consulting_wp_sidebars(),
                'dependency' => array(
                    'key' => 'shop_sidebar_type',
                    'value' => 'wp'
                ),
                'submenu' => esc_html__( 'Shop', 'consulting' )
            ),
            'shop_vc_sidebar' => array(
                'type' => 'select',
                'label' => esc_html__( 'VC Sidebar', 'consulting' ),
                'options' => consulting_vc_sidebars(),
                'dependency' => array(
                    'key' => 'shop_sidebar_type',
                    'value' => 'vc'
                ),
                'submenu' => esc_html__( 'Shop', 'consulting' )
            ),
            'shop_sidebar_position' => array(
                'type' => 'radio',
                'label' => esc_html__( 'Sidebar - Position', 'consulting' ),
                'options' => array(
                    'left' => esc_html__( 'Left', 'consulting' ),
                    'right' => esc_html__( 'Right', 'consulting' )
                ),
                'value' => 'right',
                'submenu' => esc_html__( 'Shop', 'consulting' )
            ),
            'shop_products_per_page' => array(
                'type' => 'text',
                'label' => esc_html__( 'Products Per Page', 'consulting' ),
                'value' => '9',
                'group' => 'ended',
                'submenu' => esc_html__( 'Shop', 'consulting' )
            ),
        )
    );

    $setups[ 'archive_pages' ] = $customFields;

    return $setups;

}, 10, 1 );