<?php
add_filter( 'consulting_theme_options', function( $setups ) {

    $consulting_stocks = '';

    if( function_exists( 'consulting_config' ) ) {
        $consulting_stocks = consulting_get_stocks_indexes_symbols();
    }

    $customFields = array(
        'name' => esc_html__( 'Stocks', 'consulting' ),
        'icon' => 'fas fa-chart-line',
        'fields' => array(
            'stocks_information_notice' => array(
                'description' => esc_html__( 'These options only work with an active Pearl Header Builder Plugin', 'consulting' ),
                'type' => 'notice'
            ),
            'stocks' => array(
                'type' => 'multiselect',
                'label' => esc_html__( 'Stock indexes', 'consulting' ),
                'description' => esc_html__( 'Enter stock index name', 'consulting' ),
                'options' => $consulting_stocks
            ),
            'stocks_ticker' => array(
                'type' => 'checkbox',
                'label' => esc_html__( 'Ticker', 'consulting' ),
                'description' => esc_html__( 'Enable ticker', 'consulting' )
            ),
            'stocks_transient' => array(
                'type' => 'select',
                'label' => esc_html__( 'Update stock indexes', 'consulting' ),
                'description' => esc_html__( 'Set a time interval when the stocks will be updated', 'consulting' ),
                'options' => array(
                    '3600' => esc_html__( '1 hour', 'consulting' ),
                    '7200' => esc_html__( '2 hours', 'consulting' ),
                    '10800' => esc_html__( '3 hours', 'consulting' ),
                    '216000' => esc_html__( '6 hours', 'consulting' ),
                    '43200' => esc_html__( '12 hours', 'consulting' ),
                    '86400' => esc_html__( '24 hours', 'consulting' )
                ),
                'value' => '3600'
            )
        )
    );

    $setups[ 'stocks' ] = $customFields;

    return $setups;

}, 10, 1 );